"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.HeaderMenuItems = void 0;
var react_1 = __importDefault(require("react"));
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var lodash_1 = require("lodash");
var svg_1 = __importDefault(require("../svg"));
var HeaderMenuItems = function (props) {
    var title = (0, primeobjects_helper_util_1.isNonEmptyString)(props.title) ? props.title : 'Need Title';
    var href = (0, primeobjects_helper_util_1.isNonEmptyString)(props.href) ? props.href : '#';
    var mobileView = props.mobileView == true;
    var data = props.data;
    return react_1.default.createElement("div", { className: "relative grid gap-5 bg-white px-5 py-5", style: mobileView ? { paddingTop: 0 } : {} },
        (0, primeobjects_helper_util_1.isNonEmptyString)(title) &&
            react_1.default.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" },
                react_1.default.createElement("a", { href: href }, title)),
        (0, lodash_1.map)(data, function (item, idx) {
            var titleColor = (0, primeobjects_helper_util_1.isNonEmptyString)(item.titleColor) ? item.titleColor : primeobjects_helper_util_1.COLORS.GRAY[900];
            var descColor = (0, primeobjects_helper_util_1.isNonEmptyString)(item.descColor) ? item.descColor : primeobjects_helper_util_1.COLORS.GRAY[500];
            if (!(0, primeobjects_helper_util_1.isNonEmptyString)(item.title) && !(0, primeobjects_helper_util_1.isNonEmptyString)(item.description)) {
                item.title = 'Need title or description';
            }
            return react_1.default.createElement("a", { key: idx, href: item.href, className: "-m-3 p-3 flex items-start rounded-lg hover:bg-gray-50" },
                (0, primeobjects_helper_util_1.isNonEmptyString)(item.icon) ?
                    react_1.default.createElement(svg_1.default, { src: item.icon, size: 16, color: titleColor, style: { minHeight: 20, marginTop: 2 }, className: "flex-shrink-0 h-6 w-6" }) :
                    react_1.default.createElement("div", { className: "flex-shrink-0 h-6 w-6" }),
                react_1.default.createElement("div", { className: "ml-4", style: { minHeight: 20 } },
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.title) && react_1.default.createElement("p", { className: "text-base font-medium mb-0", style: { color: titleColor } }, item.title),
                    (0, primeobjects_helper_util_1.isNonEmptyString)(item.description) && react_1.default.createElement("p", { className: "mt-1 text-sm my-1", style: { color: descColor } }, item.description)));
        }));
};
exports.HeaderMenuItems = HeaderMenuItems;
exports.default = exports.HeaderMenuItems;
