"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Recaptcha = exports.getRecaptchaToken = void 0;
var react_1 = __importStar(require("react"));
var lodash_1 = require("lodash");
var primeobjects_helper_util_1 = require("primeobjects-helper-util");
var getRecaptchaToken = function (id) {
    var elemId = (0, primeobjects_helper_util_1.isNonEmptyString)(id) ? "recaptcha_".concat(id) : '';
    return (0, primeobjects_helper_util_1.isNonEmptyString)(elemId) && primeobjects_helper_util_1._window.grecaptcha.enterprise.getResponse(primeobjects_helper_util_1._window[elemId]);
};
exports.getRecaptchaToken = getRecaptchaToken;
var Recaptcha = function (props) {
    var style = props.style, className = props.className;
    var id = (0, primeobjects_helper_util_1.isNonEmptyString)(props.id) ? "recaptcha_".concat(props.id) : "recaptcha_core";
    var scriptId = "".concat(id, "_script");
    var functionId = "".concat(id, "_onLoadRecaptcha").replace(/-/g, '').replace(/_/g, '');
    var solution = primeobjects_helper_util_1._process.solution;
    var recaptchaSiteKey = solution.keys.recaptchaSiteKey;
    var isSSR = primeobjects_helper_util_1.SSR == true;
    (0, react_1.useEffect)(function () {
        if (!isSSR && (0, primeobjects_helper_util_1.isNonEmptyString)(id) && !document.getElementById(scriptId)) {
            if (!(0, lodash_1.isFunction)(primeobjects_helper_util_1._window[functionId])) {
                primeobjects_helper_util_1._window[functionId] = function () {
                    primeobjects_helper_util_1._window[id] = primeobjects_helper_util_1._window.grecaptcha.enterprise.render(id, {
                        sitekey: recaptchaSiteKey,
                        theme: 'light'
                    });
                };
                primeobjects_helper_util_1._window[scriptId] = document.createElement("script");
                primeobjects_helper_util_1._window[scriptId].id = scriptId;
                primeobjects_helper_util_1._window[scriptId].src = "https://www.google.com/recaptcha/enterprise.js?onload=".concat(functionId, "&render=explicit");
                document.body.appendChild(primeobjects_helper_util_1._window[scriptId]);
            }
        }
        return function () {
            if (primeobjects_helper_util_1._window[functionId])
                primeobjects_helper_util_1._window[functionId] = null;
            if (primeobjects_helper_util_1._window[scriptId])
                primeobjects_helper_util_1._window[scriptId].remove();
        };
    }, [isSSR, functionId, id, scriptId, recaptchaSiteKey]);
    return react_1.default.createElement("div", { id: id, style: style, className: className });
};
exports.Recaptcha = Recaptcha;
exports.default = exports.Recaptcha;
