import React from 'react';
import SVG from '../svg';
import { isNonEmptyString } from 'primeobjects-helper-util';
import { map } from 'lodash';
export var HeaderMenuActions = function (props) {
    var data = props.data, title = props.title;
    return React.createElement("div", { className: "px-5 py-5 bg-gray-50 space-y-6 sm:flex sm:space-y-0 sm:space-x-10" },
        isNonEmptyString(title) && React.createElement("h3", { className: "text-sm tracking-wide font-medium text-gray-500 uppercase" }, title),
        map(data, function (item, idx) { return (React.createElement("div", { key: idx, className: "flow-root" },
            React.createElement("a", { href: item.href, className: "-m-3 p-3 flex items-center rounded-md text-base font-medium text-gray-900 hover:bg-gray-100" },
                isNonEmptyString(item.icon) && React.createElement(SVG, { src: item.icon, size: 18, className: "flex-shrink-0 h-6 w-6 text-gray-400", "aria-hidden": "true" }),
                React.createElement("span", { className: "ml-3" }, item.title)))); }));
};
export default HeaderMenuActions;
