import React from 'react';
import { COLORS, isNonEmptyString } from 'primeobjects-helper-util';
import { map } from 'lodash';
import SVG from '../svg';
export var HeaderMenuItems = function (props) {
    var title = isNonEmptyString(props.title) ? props.title : 'Need Title';
    var href = isNonEmptyString(props.href) ? props.href : '#';
    var mobileView = props.mobileView == true;
    var data = props.data;
    return React.createElement("div", { className: "relative grid gap-5 bg-white px-5 py-5", style: mobileView ? { paddingTop: 0 } : {} },
        isNonEmptyString(title) &&
            React.createElement("h3", { className: "text-sm tracking-wide border border-dashed border-t-0 border-l-0  border-r-0 font-medium text-gray-500 pb-2" },
                React.createElement("a", { href: href }, title)),
        map(data, function (item, idx) {
            var titleColor = isNonEmptyString(item.titleColor) ? item.titleColor : COLORS.GRAY[900];
            var descColor = isNonEmptyString(item.descColor) ? item.descColor : COLORS.GRAY[500];
            if (!isNonEmptyString(item.title) && !isNonEmptyString(item.description)) {
                item.title = 'Need title or description';
            }
            return React.createElement("a", { key: idx, href: item.href, className: "-m-3 p-3 flex items-start rounded-lg hover:bg-gray-50" },
                isNonEmptyString(item.icon) ?
                    React.createElement(SVG, { src: item.icon, size: 16, color: titleColor, style: { minHeight: 20, marginTop: 2 }, className: "flex-shrink-0 h-6 w-6" }) :
                    React.createElement("div", { className: "flex-shrink-0 h-6 w-6" }),
                React.createElement("div", { className: "ml-4", style: { minHeight: 20 } },
                    isNonEmptyString(item.title) && React.createElement("p", { className: "text-base font-medium mb-0", style: { color: titleColor } }, item.title),
                    isNonEmptyString(item.description) && React.createElement("p", { className: "mt-1 text-sm my-1", style: { color: descColor } }, item.description)));
        }));
};
export default HeaderMenuItems;
